Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

 

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Badonde Posted on 08/11/2019 20:32
Norwich - is the party over?
 
Watching Norwich losing 1-0 at home to Watford at the moment. Seems odd. Last year they were the poster child for how things should be done in the Championship.

Amazing to think they beat Citeh just a few weeks ago.[?]

Link:
IP: Logged
SteelRiverReds Posted on 08/11/2019 20:35

Norwich - is the party over?
Eh? What you on about? Didn't they win the league when they beat City?? [;)]
IP: Logged
Badonde Posted on 08/11/2019 20:40

Norwich - is the party over?
Just on the Norwich forum being a nosey parker

"We released a fair bit of deadwood in the summer as well, Naismith the biggest but also Jarvis, Wildschut and Pinto."

Where is Wilsdschut now????
IP: Logged
El-Guapo Posted on 08/11/2019 20:45

Norwich - is the party over?
Maccabi Haifa
IP: Logged
Badonde Posted on 08/11/2019 20:46

Norwich - is the party over?
Norwich City Football Club have today (5th Nov 2019) released their annual accounts for the financial year ended 30 June 2019.

The 2018-19 season was the club’s first in eight years without any parachute payments from the Premier League.

After the inclusion of player bonuses and payments to other clubs following promotion to the Premier League operating losses for the period are listed at £38m.

Cash outflow for the period was -£34.2m comprising of the following:

Cash utilised in operating activities was at -£32.8m.
Player purchase costs amounted to -£10.4m, which included instalment payments on previous transfers, plus the acquisitions of new players such as Emiliano Buendia, Moritz Leitner and Philip Heise.
A figure of +£20.6m was raised through player sale transactions, with the majority in the form of instalments from the sale of players from previous reporting periods such as Josh Murphy, Alex Pritchard and James Maddison.
Fixed asset spend was at -£7.2m, which includes -£6m in fixed asset additions relating to the academy building state of the art gymnasium at the Lotus Training Centre.
The club also repaid the Canary Bond with -£3.8m banked by investors with the promotional interest of 25% paid in September 2019 (after the financial year end) used to build the academy and gym buildings and pitches at the club’s Lotus Training Centre.
Other cash flow movements were at -£0.6m, relating to interest and taxation paid.
Following promotion to the Premier League the club anticipates a substantial operating profit in the financial year to June 2020.

Chief Operating Officer Ben Kensell said: “These figures demonstrate the Club’s financial resilience with our first year without parachute payments whilst achieving promotion to the Premier League as champions.

“With the new Executive Committee structure firmly in place we are able to strategically maximise our off-pitch commercial revenues in order to ensure we are able to effectively forward plan in all areas of the business.
IP: Logged
Badonde Posted on 08/11/2019 20:51

Norwich - is the party over?
Looks like it was lucky for Norwich they were promoted last year before they were financially screwed?

God knows what boro's accounts will look like at the end of this year? Obviously promotion looks a distant dream. Not sure what we will have raised from player sales but looks like we we will be on for a £30m+ loss.

Must Pi$$ Gibson off watching Fletcher & Britt laughing their tits off smashing the ball over the bar???
IP: Logged
Abel_Tasman Posted on 08/11/2019 20:57

Norwich - is the party over?
I saw them play at Burnley about 6 weeks ago. They lost 2-0 that day and they were truly dreadful. I stuck a load on them getting relegated after that. It’s free money.
IP: Logged
Badonde Posted on 08/11/2019 21:05

Norwich - is the party over?
But. to be fair, I thought they looked outstanding last year.
Weird how fast things can change in football.
IP: Logged
Badonde Posted on 08/11/2019 21:19

Norwich - is the party over?
0-2
Ouch, bottom of league, fans twisting
IP: Logged
CardiffDaffs Posted on 08/11/2019 21:30

Norwich - is the party over?
“But. to be fair, I thought they looked outstanding last year.”

And Fulham did the previous season. The gap is huge. Well done to Sheff United for adapting and being more resilient.
IP: Logged
hopesoboro Posted on 08/11/2019 21:31

Norwich - is the party over?
Football eh?!
IP: Logged
Badonde Posted on 08/11/2019 21:33

Norwich - is the party over?
Sounds like Norwich have spent £750k (on Byram) since promotion.

In some ways i don't blame 'em.

The 'roulette wheel ' in football is getting madder than ever!





With Boro's recruitment team being the drunkest people in the room [:D][:D][:D]
IP: Logged
UpTheBoro70 Posted on 08/11/2019 21:43

Norwich - is the party over?
Predicted they'd go down in the summer due to their leaky defence and winning games in last minute , usually by 3-2 or 4-3...or drawing 2-2 or 3-3the clue was in the goals against column. Bound to be found out in the premiership
IP: Logged
Badonde Posted on 08/11/2019 21:46

Norwich - is the party over?
I'm sat here just loving their misfortune
Schadenfreude isn't it?
Practically given up on our lads (well the 'strikers' in particular) but nice to see other teams having a similar meltdown[:D][:D][:D][:D][:D]
Not big, nor clever but at the moment just don't care
IP: Logged
Greenandblack Posted on 08/11/2019 21:50

Norwich - is the party over?
A loss of £33 million, even after £21 million of player sales. That sounds terrible.

Championship clubs' finances are a disaster zone.
IP: Logged
Badonde Posted on 08/11/2019 21:55

Norwich - is the party over?
In some ways what has happened to Boro had to happen.
Surely we are going to have to limit wages to £5k to £10k per week and put any spare resources into player recruitment?

Not his fault - but just take one look at Ashley Fletcher. Not only a waste of money but surely a decent scout could see he never even had the look of a footballer.
To spunk £6.5m on this guy plus whatever horrendous on his wages?????
In any other scope of business you would say that the company would be guaranteed to fail due to incompetence.
IP: Logged
NHertsBoro Posted on 08/11/2019 22:00

Norwich - is the party over?
Maybe Norwich going up with a squad of Championship players and only spending 750k is to restore their finances, go down and try and get back up with a healthy surplus from the Yr 1 parachute payment.

Can't say I don't enjoy seeing them lose mind.
IP: Logged
r00fie1 Posted on 08/11/2019 22:09

Norwich - is the party over?
How ironic that they do better financially by getting relegated after promotion to balance the books?
IP: Logged
truck Posted on 08/11/2019 22:15

Norwich - is the party over?
Badonde,
what on earth makes you think our recruitment team look at video's of prospective purchases?
Pulis had Fletcher bang on when he said there is more to being a good footballer than skill.

Another player who shows little real desire or drive
IP: Logged
Abel_Tasman Posted on 08/11/2019 22:48

Norwich - is the party over?
Reading their message-board there is a similarity with the sense of thought. They seem to be condemning their owners for not spending enough and want them out and a billionaire to come in.

Different part of the country same dream.
IP: Logged
Badonde Posted on 08/11/2019 23:04

Norwich - is the party over?
Sorry but just kicking this to the top of the board as this is a 'football' forum......not politics
IP: Logged
Derek_Duvall Posted on 08/11/2019 23:21

Norwich - is the party over?
I thought they played some lovely stuff tonight to be honest. Silly that they didn't add two or three players of real quality.

It's okay the club saving money but fans don't want to see their team losing every week.
IP: Logged
Escalado Posted on 08/11/2019 23:43

Norwich - is the party over?
Never been a fan of Norwich and after the playoff final even less so, don't really take to their manager either, so I'm quite happy for them to go down, no logical reasons ...just don't like them!
IP: Logged
Abel_Tasman Posted on 08/11/2019 23:45

Norwich - is the party over?
Tippy tappy football but they are very lightweight. Definitely found out.
IP: Logged
BoroBen92 Posted on 09/11/2019 00:07

Norwich - is the party over?
It crashes every time for them.
They'll go down again, as they always do.

Won't pretend it makes me happy, and I'd still sooner be in their position, but they're the ultimate yo-yo team.
IP: Logged
Boro_Legend Posted on 09/11/2019 00:13

Norwich - is the party over?
Bubble has busted for Norwich.
IP: Logged
EpiphanyProudfoot Posted on 09/11/2019 05:08

Norwich - is the party over?
Norwich seem to drift around the leagues.

Occasionally they manage to get in the Prem but are on borrowed time by November normally.

They make the occasional decent signing but are comfortable with the fact they will be outbid by the London/Liverpool/Manchester clubs so seldom need a reality check. They can take comfort in Leicesters success I suppose but the Foxes have way more spondoolies these days.

Next time Delia says 'lets be avin yer' at half time (Norwich are the quietest fans I know) the Champo can chant, yep we'll be avin ter!!! back.
IP: Logged
Gibsons_Parmo Posted on 09/11/2019 08:19

Norwich - is the party over?
They've been found out really, played attacking stuff at first but once word gets round the other teams stop their better players and they haven't got the quality throughout to cause any more threat
IP: Logged
bear66 Posted on 09/11/2019 08:21

Norwich - is the party over?
Only saw the first half but they were on top making a lot of good chances.
IP: Logged
Winker Posted on 09/11/2019 09:03

Norwich - is the party over?
It may or not be over for them , but god I'd so much rather watch the way they're trying to play football than the anti-football season we had under Aitor in the Prem.
We tried to nil all every game and failed hopelessly.

Good luck to the Canaries at least they're giving it a Lash
IP: Logged
ska66 Posted on 09/11/2019 09:30

Norwich - is the party over?
Their chairman was on radio 5 a little while back. basically said they wont spend to try and stay in the premier league. It is their business model. This is what football has now become. Not a competition but a business model.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103